/**
 * This file is part of the SplendidBear Websites' projects.
 *
 * Copyright (c) 2026 @ www.splendidbear.org
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

import { useRef } from 'react';
import { PLAYER_DEF } from '@mine-utils';

const useGameRefs = () => {
  const webPlayerRef = useRef(null);
  const activePlayerRef = useRef(false);
  const bombSelectedRef = useRef(false);
  const connectionLostRef = useRef(false);
  const redRef = useRef({ ...PLAYER_DEF });
  const blueRef = useRef({ ...PLAYER_DEF });
  const lastClickedRef = useRef({ red: null, blue: null });
  const endRef = useRef(false);

  return {
    webPlayerRef,
    activePlayerRef,
    bombSelectedRef,
    connectionLostRef,
    redRef,
    blueRef,
    lastClickedRef,
    endRef,
  };
};

export default useGameRefs;
